ConfigurationItem (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.itil.ConfigurationItem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.itil
Interface ConfigurationItem

All Known Subinterfaces:
  ActiveDirectory, AddressSpace, Aix, AixUnitaryComputerSystem, ApacheModule, ApacheProxyServer, ApacheServer, AppClientModule, Application, ApplicationComposite, AppServer, AppServerCluster, BigIPVlan, BusinessProcess, BusinessProcessComposite, BusinessService, BusinessServiceComposite, BusinessSystem, CGIScript, CICSRegion, CIMOM, CiscoPixComputerSystem, CitrixApplication, CitrixFarm, CitrixServer, CitrixZone, CMRProxy, Composite, ComputerSystem, ComputerSystemCluster, ConnectorModule, CPU, Darwin, DarwinUnitaryComputerSystem, Database, DatabaseModule, DatabaseServer, DataServiceCapabilities, DataServiceLevelObjectiveGroup, Db2AdminServer, Db2Database, DB2DataSharingGroup, Db2Instance, Db2Module, Db2Server, DB2Subsystem, DesktopComposite, DNSService, Document, DominoCluster, DominoServer, Dos, DosUnitaryComputerSystem, DynamicSystemDomain, EJBModule, ExchangeProtocolVirtualServer, ExchangeServer, FCSwitch, FileSystemService, FreeBSD, FreeBSDUnitaryComputerSystem, GenericAppServer, GenericAppServerCluster, GenericComputerSystem, GenericDatabaseServer, GenericFirewall, GenericJ2EEServer, GenericLoadBalancer, GenericRouter, GenericServerProcess, GenericService, GenericSwitch, GenericWebServer, HardwareComposite, HostBusAdaptor, HpUx, HpUxUnitaryComputerSystem, I5OperatingSystem, IBMHTTPServer, IIsModule, IIsWebService, IMSDatabase, IMSSubsystem, IMSSysplexGroup, IncidentRecordProxy, InfrastructureApplicationComposite, IPlanetJSP, IPlanetProxyServer, IPlanetServer, IPlanetServlet, ipso, IPSOUnitaryComputerSystem, ITSystem, J2EEApplication, J2EEDeployedObject, J2EEDomain, J2EEModule, J2EEResource, J2EEServer, JavaMail, JavaServerProcess, JBossCluster, JBossConnectorModule, JBossDomain, JBossEJBModule, JBossJ2EEApplication, JBossJNDIService, JBossMailService, JBossManagedConnectionFactory, JBossManagedConnectionPool, JBossServer, JBossTransactionCM, JBossWebModule, JCAConnection, JCAConnectionFactory, JCAConnectionPool, JCAManagedConnectionFactory, JDBC, JDBCConnection, JDBCConnectionPool, JDBCDataSource, JDBCDriver, JMS, JMSConnection, JMSEndpoint, JMSSession, JNDI, JTA, LDAPService, LegacySystem, Linux, LinuxUnitaryComputerSystem, LPAR, MacOS, MainframeComposite, Memory, Monitor, MQAliasQueue, MQChannel, MQClientConnectionChannel, MQCluster, MQClusterReceiverChannel, MQClusterSenderChannel, MQInstallation, MQLocalQueue, MQModelQueue, MQQueue, MQQueueManager, MQReceiverChannel, MQRemoteQueue, MQRequesterChannel, MQSenderChannel, MQServerChannel, MQServerConnectionChannel, MQSubsystem, MySAPABAPApplicationServer, MySAPCluster, MySAPDb2Instance, MySAPJ2EEEngineInstance, MySAPJavaCentralSystem, MySAPOracleInstance, MySAPSqlServer, Netware, NetwareUnitaryComputerSystem, NFSService, NSAPIPlugin, OpenVms, OpenVmsUnitaryComputerSystem, OperatingSystem, OracleAppCluster, OracleAppConnectorModule, OracleAppDomain, OracleAppEJBModule, OracleAppHTTPServer, OracleAppJ2EEApplication, OracleAppJ2EEServer, OracleAppJ2EEWebSite, OracleAppJDBCConnectionPool, OracleAppJDBCDataSource, OracleAppJDBCDriver, OracleAppJMSDestination, OracleAppJMSServer, OracleAppJTAResource, OracleAppProcessManager, OracleAppWebModule, OracleDatabase, OracleInstance, OracleModule, OracleServer, Partner, ProbeScript, ReleaseRecordProxy, RFCProxy, RMI_IIOP, Room, RouterComposite, SAPSystem, SCAModule, ServerComposite, ServerProcess, Service, ServiceGroup, SiteInfo, SLA, SLO, SMBService, SMSAdvertizements, SMSCollections, SMSPackage, SMSSiteServer, SMTPService, SoftwareFix, SoftwareImage, SoftwareInstallation, SoftwareModification, SoftwareModule, SoftwareProduct, SoftwareResource, SoftwareUpdate, Solaris, SqlServer, SqlServerDatabase, SqlServerModule, StaticContentModule, StoragePool, StorageSubSystem, SunFireComputerSystem, SunSPARCUnitaryComputerSystem, SunSPARCVirtualComputerSystem, SwitchComposite, SybaseDatabase, SybaseModule, SybaseServer, SysplexGroup, SystemPComputerSystem, TapeLibrary, TapeMediaChanger, Tru64, UnitaryComputerSystem, Unix, URL, VCSHADServer, VCSLocalServiceGroup, VCSServiceGroup, VeritasStorageService, VirtualComputerSystem, Vlan, VmwareESX, VmwareUnitaryComputerSystem, WebLogicAdminServer, WebLogicCluster, WebLogicConnectorModule, WebLogicDomain, WebLogicEJBModule, WebLogicJ2EEApplication, WebLogicJDBCConnectionPool, WebLogicJDBCDataSource, WebLogicJDBCDriver, WebLogicJDBCMultiPool, WebLogicJDBCTxDataSource, WebLogicJMSServer, WebLogicPlugin, WebLogicServer, WebLogicWebModule, WebModule, WebModule, WebProxyServer, WebServer, WebService, WebSphereCell, WebSphereCluster, WebSphereConnectorModule, WebSphereDeploymentManager, WebSphereEJBModule, WebSphereJ2EEApplication, WebSphereJ2EEResource, WebSphereJDBCConnectionPool, WebSphereJDBCDataSource, WebSphereJDBCProvider, WebSphereJMSDestination, WebSphereJMSProvider, WebSphereJMSQueue, WebSphereJMSServer, WebSphereJMSTopic, WebSphereMQJMSDestination, WebSphereMQJMSQueue, WebSphereMQJMSTopic, WebSphereNodeAgent, WebSphereServer, WebSphereWebModule, WebStaticContentModule, WindowsComputerSystem, WindowsOperatingSystem, ZCouplingFacility, ZLinux, Zone, Zone, ZOS, ZSeriesComputerSystem, ZVM, ZVMGuest

    public interface ConfigurationItem

A Configuration Item is an element that: Is contained within or supported by the IT infrastructure Has a manageable configuration Is under the process controls of Configuration Management

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAssetID()`
`java.lang.String` | `getAssetTag()`
`java.lang.String` | `getCICategory()`
`java.lang.String` | `getConfigLastUpdate()` The UTC date and time when the information was last altered in the source application.
`int` | `getLastAuditState()`
`long` | `getLastAuditTime()`
`long` | `getLastLifecycleStateTime()`
`int` | `getLifecycleState()`
`OrganizationalEntity` | `getPrimaryOwner()`
`boolean` | `hasAssetID()`
`boolean` | `hasAssetTag()`
`boolean` | `hasCICategory()`
`boolean` | `hasConfigLastUpdate()`
`boolean` | `hasLastAuditState()`
`boolean` | `hasLastAuditTime()`
`boolean` | `hasLastLifecycleStateTime()`
`boolean` | `hasLifecycleState()`
`boolean` | `hasPrimaryOwner()`
`void` | `setAssetID(java.lang.String x)`
`void` | `setAssetTag(java.lang.String x)`
`void` | `setCICategory(java.lang.String x)`
`void` | `setConfigLastUpdate(java.lang.String x)`
`void` | `setLastAuditState(int x)`
`void` | `setLastAuditTime(long x)`
`void` | `setLastLifecycleStateTime(long x)`
`void` | `setLifecycleState(int x)`
`void` | `setPrimaryOwner(OrganizationalEntity owner)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getConfigLastUpdate

    java.lang.String getConfigLastUpdate()
                                         throws AttributeNotSetException

  The UTC date and time when the information was last altered in the source application. This timestamp is different from when the data was last updated in the CMDB database in the ModelObject class.

  Throws:
    `AttributeNotSetException`

### setConfigLastUpdate

    void setConfigLastUpdate(java.lang.String x)

### hasConfigLastUpdate

    boolean hasConfigLastUpdate()

### getCICategory

    java.lang.String getCICategory()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCICategory

    void setCICategory(java.lang.String x)

### hasCICategory

    boolean hasCICategory()

### getLastAuditTime

    long getLastAuditTime()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastAuditTime

    void setLastAuditTime(long x)

### hasLastAuditTime

    boolean hasLastAuditTime()

### getLastLifecycleStateTime

    long getLastLifecycleStateTime()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastLifecycleStateTime

    void setLastLifecycleStateTime(long x)

### hasLastLifecycleStateTime

    boolean hasLastLifecycleStateTime()

### getPrimaryOwner

    OrganizationalEntity getPrimaryOwner()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setPrimaryOwner

    void setPrimaryOwner(OrganizationalEntity owner)

### hasPrimaryOwner

    boolean hasPrimaryOwner()

### getLastAuditState

    int getLastAuditState()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastAuditState

    void setLastAuditState(int x)

### hasLastAuditState

    boolean hasLastAuditState()

### getAssetTag

    java.lang.String getAssetTag()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAssetTag

    void setAssetTag(java.lang.String x)

### hasAssetTag

    boolean hasAssetTag()

### getLifecycleState

    int getLifecycleState()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLifecycleState

    void setLifecycleState(int x)

### hasLifecycleState

    boolean hasLifecycleState()

### getAssetID

    java.lang.String getAssetID()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAssetID

    void setAssetID(java.lang.String x)

### hasAssetID

    boolean hasAssetID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD